summaryrefslogtreecommitdiff
path: root/git-instaweb.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-12-03 13:53:58 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-12-03 13:53:58 -0800
commit957f5db74fcf2a00260c8bdef4bf147b1b990914 (patch)
tree293baa7d48d5c9428b2ffc232519f875d4cd5770 /git-instaweb.sh
parentMerge branch 'rj/maint-cygwin-count-objects' into maint (diff)
parentProtect scripted Porcelains from GREP_OPTIONS insanity (diff)
downloadtgif-957f5db74fcf2a00260c8bdef4bf147b1b990914.tar.xz
Merge branch 'rs/work-around-grep-opt-insanity' into maint
* rs/work-around-grep-opt-insanity: Protect scripted Porcelains from GREP_OPTIONS insanity mergetool--lib: simplify guess_merge_tool()
Diffstat (limited to 'git-instaweb.sh')
-rwxr-xr-xgit-instaweb.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/git-instaweb.sh b/git-instaweb.sh
index 80a7f74fea..e9fb5aa67a 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -41,7 +41,7 @@ resolve_full_httpd () {
case "$httpd" in
*apache2*|*lighttpd*)
# ensure that the apache2/lighttpd command ends with "-f"
- if ! echo "$httpd" | grep -- '-f *$' >/dev/null 2>&1
+ if ! echo "$httpd" | sane_grep -- '-f *$' >/dev/null 2>&1
then
httpd="$httpd -f"
fi
@@ -302,8 +302,8 @@ EOF
# check to see if Dennis Stosberg's mod_perl compatibility patch
# (<20060621130708.Gcbc6e5c@leonov.stosberg.net>) has been applied
- if test -f "$module_path/mod_perl.so" && grep 'MOD_PERL' \
- "$GIT_DIR/gitweb/gitweb.cgi" >/dev/null
+ if test -f "$module_path/mod_perl.so" &&
+ sane_grep 'MOD_PERL' "$GIT_DIR/gitweb/gitweb.cgi" >/dev/null
then
# favor mod_perl if available
cat >> "$conf" <<EOF
@@ -321,7 +321,7 @@ EOF
# plain-old CGI
resolve_full_httpd
list_mods=$(echo "$full_httpd" | sed "s/-f$/-l/")
- $list_mods | grep 'mod_cgi\.c' >/dev/null 2>&1 || \
+ $list_mods | sane_grep 'mod_cgi\.c' >/dev/null 2>&1 || \
echo "LoadModule cgi_module $module_path/mod_cgi.so" >> "$conf"
cat >> "$conf" <<EOF
AddHandler cgi-script .cgi